> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/water-portfolio/os-open-rivers/os-open-rivers-technical-specification/geopackage-overview/geopackage-format-changes-april-2023.md).

# GeoPackage format changes April 2023

In April 2023 there were significant changes to the naming patterns in the GeoPackage format. The formatting of most names changed from title case to snake case. The following tables map the previous names to those use after April 2023.

## Attribute names

<table><thead><tr><th width="400">GeoPackage attribute name prior to April 2023</th><th>GeoPackage attribute name after April 2023</th></tr></thead><tbody><tr><td>id</td><td>id</td></tr><tr><td>flowDirection</td><td>flow_direction</td></tr><tr><td>length</td><td>length</td></tr><tr><td>fictitious</td><td>fictitious</td></tr><tr><td>form</td><td>form</td></tr><tr><td>watercourseName</td><td>watercourse_name</td></tr><tr><td>watercourseNameAlternative</td><td>watercourse_name_alternative</td></tr><tr><td>startNode</td><td>start_node</td></tr><tr><td>endNode</td><td>end_node</td></tr><tr><td>hydroNodeCategory</td><td>hydro_node_category</td></tr></tbody></table>

## Layer names

<table><thead><tr><th width="399">GeoPackage layer name prior to April 2023</th><th>GeoPackage layer name after April 2023</th></tr></thead><tbody><tr><td>HydroNode</td><td>hydro_node</td></tr><tr><td>WatercourseLink</td><td>watercourse_link</td></tr></tbody></table>

## Column names

<table><thead><tr><th width="401">GeoPackage column name prior to April 2023</th><th>GeoPackage column name after April 2023</th></tr></thead><tbody><tr><td>geom</td><td>geometry</td></tr></tbody></table>

## Constraints

<table><thead><tr><th width="405">GeoPackage constraint name prior to April 2023</th><th>GeoPackage constraint name after April 2023</th></tr></thead><tbody><tr><td>HydroNode_pkey</td><td>hydro_node_pkey</td></tr><tr><td>WatercourseLink_pkey</td><td>watercourse_link_pkey</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-downloads/products/water-portfolio/os-open-rivers/os-open-rivers-technical-specification/geopackage-overview/geopackage-format-changes-april-2023.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
